Perform various operations on batch Automated Clearing House (ACH) origination records.
Operations
searchBatchAchOrigPagedSelectFields
POST
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
AccountNumberstringoptionalQuerystringoptionalLoading fields…
Path Parameters
symstringrequired- Sym number
Responses
TokenstringoptionalLoading fields…
POST
/nexum/{sym}/2022.01/account/searchBatchAchOrigPagedSelectFieldsPOST /nexum/627/2022.01/account/searchBatchAchOrigPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000000000",
"Query": "string",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0
},
"SelectableFields": {
"IncludeAllBatchAchOrigFields": false,
"BatchAchOrigFields": {
"Locator": true,
"CompanyName": true,
"CompanyId": true,
"StandardEntryClassCode": true,
"Status": true,
"RecordChangeDate": true
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}updateBatchAchOrigByID
POST
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
BatchAchOrigLocatorintegeroptionalAccountNumberstringoptionalLoading fields…
Path Parameters
symstringrequired- Sym number
Responses
Loading fields…
POST
/nexum/{sym}/2022.01/account/updateBatchAchOrigByIDPOST /nexum/627/2022.01/account/updateBatchAchOrigByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000000000",
"BatchAchOrigLocator": 0,
"BatchAchOrigUpdatableFields": {
"CompanyName": "string",
"CompanyEntryDescription": "string"
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}createBatchAchOrig
POST
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
AccountNumberstringoptionalLoading fields…
Path Parameters
symstringrequired- Sym number
Responses
BatchAchOrigLocatorintegeroptionalLoading fields…
POST
/nexum/{sym}/2022.01/account/createBatchAchOrigPOST /nexum/627/2022.01/account/createBatchAchOrig HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000000000",
"BatchAchOrigCreatableFields": {
"Status": 0,
"CompanyName": "string",
"CompanyId": "0",
"CompanyEntryDescription": "string",
"StandardEntryClassCode": "string",
"EffectiveEntryDate": "2026-01-01"
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}deleteBatchAchOrig
POST
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
AccountNumberstringoptionalBatchAchOrigLocatorintegeroptionalLoading fields…
Path Parameters
symstringrequired- Sym number
Responses
nxAttributesobjectoptionalThe custom object for NexumAPI response attributes.Loading fields…
POST
/nexum/{sym}/2022.01/account/deleteBatchAchOrigPOST /nexum/627/2022.01/account/deleteBatchAchOrig HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000000000",
"BatchAchOrigLocator": 0,
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}